org.apache.ignite.ml.math.exceptions.math

## Class MathIllegalArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.ml.math.exceptions.math.MathRuntimeException
          - - org.apache.ignite.ml.math.exceptions.math.MathIllegalArgumentException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CardinalityException, NoDataException, SingularMatrixException

      public class MathIllegalArgumentException
      extends MathRuntimeException

  Base class for all preconditions violation exceptions. In most cases, this class should not be instantiated directly: it should serve as a base class to create all the exceptions that have the semantics of the standard `IllegalArgumentException`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathIllegalArgumentException(String format, Object... args)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MathIllegalArgumentException

          public MathIllegalArgumentException(String format,
                                              Object... args)

      Parameters:
        `format` - Message format string explaining the cause of the error.
        `args` - Arguments.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022